
TYPO3.Flow - Bug # 3278

Status: Resolved Priority: Must have
Author: Robert Lemke Category: Utility
Created: 2009-05-12 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Resource manager doesn't publish files without extension
Description

If a file to be published doesn't have an extension ("MyPage" instead of "MyPackage.html"), the resource publisher throws:

#1: Notice: Undefined index: extension in /Users/Shared/Sites/dev/flow3/forge/Packages/Global/FLOW3/Classes/Utility/FileTypes.php
line 425

Associated revisions
Revision 40a4d252 - 2009-09-28 13:39 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Utility): *TypeFromFilename() work now when no extension is present, fixes #3278.

History
#1 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#2 - 2009-09-23 11:14 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 5

#3 - 2009-09-28 13:37 - Karsten Dambekalns
- Category changed from Resource to Utility

#4 - 2009-09-28 14:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3230.
